import request from '@/utils/request'

// 查询区域巡检记录列表
export function listRegion(query) {
  return request({
    url: '/inspection/region/list',
    method: 'get',
    params: query
  })
}

// 查询区域巡检记录详细
export function getRegion(id) {
  return request({
    url: '/inspection/region/' + id,
    method: 'get'
  })
}

// 新增区域巡检记录
export function addRegion(data) {
  return request({
    url: '/inspection/region',
    method: 'post',
    data: data
  })
}

// 修改区域巡检记录
export function updateRegion(data) {
  return request({
    url: '/inspection/region',
    method: 'put',
    data: data
  })
}

// 删除区域巡检记录
export function delRegion(id) {
  return request({
    url: '/inspection/region/' + id,
    method: 'delete'
  })
}

// 导出区域巡检记录
export function exportRegion(query) {
  return request({
    url: '/inspection/region/export',
    method: 'get',
    params: query
  })
}